<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.etl.mapper.EtlRainDataMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="rainDataEntityResultMap" type="org.springblade.etl.entity.EtlRainDataEntity">
        <result column="GUID" property="guid"/>
        <result column="ST_CODE" property="rtuCode"/>
        <result column="TM" property="tm"/>
        <result column="DRP" property="drp"/>
        <result column="INTV" property="intv"/>
        <result column="PDR" property="pdr"/>
        <result column="DYP" property="dyp"/>
        <result column="WTH" property="wth"/>
    </resultMap>


    <select id="selectLastList" resultMap="rainDataEntityResultMap">
        SELECT
        d.*
        FROM
        etl_att_st_prec d
        WHERE 1=1
        <if test="etlRainDataEntity.tm!=null">
            and d.tm > #{etlRainDataEntity.tm}
        </if>
        order  by d.tm asc
    </select>
</mapper>
